Bug 142571

Summary: [nfsmb] nfsmb.c - add missing MCP chip IDs
Product: Base System Reporter: Oliver Lehmann <oliver>
Component: kernAssignee: Gavin Atkinson <gavin>
Status: Closed FIXED    
Severity: Affects Only Me CC: oliver
Priority: Normal    
Version: 8.0-STABLE   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
nfsmb.c.diff none

Description Oliver Lehmann freebsd_committer 2010-01-10 15:00:11 UTC
	I'm having an ASUS Atom ION board with a MCP79 SMB controller. It
	is not detected by the nfsmb.c which is in the tree right now.
	This update detects the SMB controller (and the older versions)
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2010-01-22 20:19:08 UTC
Responsible Changed
From-To: freebsd-bugs->gavin

Take
Comment 2 dfilter service freebsd_committer 2010-01-24 14:58:06 UTC
Author: gavin
Date: Sun Jan 24 14:57:54 2010
New Revision: 202931
URL: http://svn.freebsd.org/changeset/base/202931

Log:
  Add support for four more nfsmb controllers, shipping on at least the
  ASUS Atom ION boards.
  
  PR:		kern/142571
  Submitted by:	oliver
  Approved by:	ed (mentor)
  MFC after:	1 week

Modified:
  head/sys/pci/nfsmb.c

Modified: head/sys/pci/nfsmb.c
==============================================================================
--- head/sys/pci/nfsmb.c	Sun Jan 24 14:44:05 2010	(r202930)
+++ head/sys/pci/nfsmb.c	Sun Jan 24 14:57:54 2010	(r202931)
@@ -65,6 +65,10 @@ static int nfsmb_debug = 0;
 #define	NFSMB_DEVICEID_NF4_55_SMB	0x0368
 #define	NFSMB_DEVICEID_NF4_61_SMB	0x03eb
 #define	NFSMB_DEVICEID_NF4_65_SMB	0x0446
+#define	NFSMB_DEVICEID_NF4_67_SMB	0x0542
+#define	NFSMB_DEVICEID_NF4_73_SMB	0x07d8
+#define	NFSMB_DEVICEID_NF4_78S_SMB	0x0752
+#define	NFSMB_DEVICEID_NF4_79_SMB	0x0aa2
 
 /* PCI Configuration space registers */
 #define	NF2PCI_SMBASE_1		PCIR_BAR(4)
@@ -158,6 +162,10 @@ nfsmb_probe(device_t dev)
 		case NFSMB_DEVICEID_NF4_55_SMB:
 		case NFSMB_DEVICEID_NF4_61_SMB:
 		case NFSMB_DEVICEID_NF4_65_SMB:
+		case NFSMB_DEVICEID_NF4_67_SMB:
+		case NFSMB_DEVICEID_NF4_73_SMB:
+		case NFSMB_DEVICEID_NF4_78S_SMB:
+		case NFSMB_DEVICEID_NF4_79_SMB:
 			device_set_desc(dev, "nForce2/3/4 MCP SMBus Controller");
 			return (BUS_PROBE_DEFAULT);
 		}
@@ -245,6 +253,10 @@ nfsmb_attach(device_t dev)
 	case NFSMB_DEVICEID_NF4_55_SMB:
 	case NFSMB_DEVICEID_NF4_61_SMB:
 	case NFSMB_DEVICEID_NF4_65_SMB:
+	case NFSMB_DEVICEID_NF4_67_SMB:
+	case NFSMB_DEVICEID_NF4_73_SMB:
+	case NFSMB_DEVICEID_NF4_78S_SMB:
+	case NFSMB_DEVICEID_NF4_79_SMB:
 		/* Trying to add secondary device as slave */
 		nfsmb_sc->subdev = device_add_child(dev, "nfsmb", -1);
 		if (!nfsmb_sc->subdev) {
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 3 Gavin Atkinson freebsd_committer freebsd_triage 2010-01-24 15:06:44 UTC
State Changed
From-To: open->patched

Fixed in head, MFC in one week
Comment 4 dfilter service freebsd_committer 2010-01-31 19:42:08 UTC
Author: gavin
Date: Sun Jan 31 19:41:58 2010
New Revision: 203313
URL: http://svn.freebsd.org/changeset/base/203313

Log:
  Merge r202931 from head:
  
    Add support for four more nfsmb controllers, shipping on at least the
    ASUS Atom ION boards.
  
  PR:		kern/142571
  Submitted by:	oliver
  Approved by:	ed (mentor, implicit)

Modified:
  stable/8/sys/pci/nfsmb.c
Directory Properties:
  stable/8/sys/   (props changed)
  stable/8/sys/amd64/include/xen/   (props changed)
  stable/8/sys/cddl/contrib/opensolaris/   (props changed)
  stable/8/sys/contrib/dev/acpica/   (props changed)
  stable/8/sys/contrib/pf/   (props changed)
  stable/8/sys/dev/xen/xenpci/   (props changed)

Modified: stable/8/sys/pci/nfsmb.c
==============================================================================
--- stable/8/sys/pci/nfsmb.c	Sun Jan 31 19:38:58 2010	(r203312)
+++ stable/8/sys/pci/nfsmb.c	Sun Jan 31 19:41:58 2010	(r203313)
@@ -65,6 +65,10 @@ static int nfsmb_debug = 0;
 #define	NFSMB_DEVICEID_NF4_55_SMB	0x0368
 #define	NFSMB_DEVICEID_NF4_61_SMB	0x03eb
 #define	NFSMB_DEVICEID_NF4_65_SMB	0x0446
+#define	NFSMB_DEVICEID_NF4_67_SMB	0x0542
+#define	NFSMB_DEVICEID_NF4_73_SMB	0x07d8
+#define	NFSMB_DEVICEID_NF4_78S_SMB	0x0752
+#define	NFSMB_DEVICEID_NF4_79_SMB	0x0aa2
 
 /* PCI Configuration space registers */
 #define	NF2PCI_SMBASE_1		PCIR_BAR(4)
@@ -158,6 +162,10 @@ nfsmb_probe(device_t dev)
 		case NFSMB_DEVICEID_NF4_55_SMB:
 		case NFSMB_DEVICEID_NF4_61_SMB:
 		case NFSMB_DEVICEID_NF4_65_SMB:
+		case NFSMB_DEVICEID_NF4_67_SMB:
+		case NFSMB_DEVICEID_NF4_73_SMB:
+		case NFSMB_DEVICEID_NF4_78S_SMB:
+		case NFSMB_DEVICEID_NF4_79_SMB:
 			device_set_desc(dev, "nForce2/3/4 MCP SMBus Controller");
 			return (BUS_PROBE_DEFAULT);
 		}
@@ -245,6 +253,10 @@ nfsmb_attach(device_t dev)
 	case NFSMB_DEVICEID_NF4_55_SMB:
 	case NFSMB_DEVICEID_NF4_61_SMB:
 	case NFSMB_DEVICEID_NF4_65_SMB:
+	case NFSMB_DEVICEID_NF4_67_SMB:
+	case NFSMB_DEVICEID_NF4_73_SMB:
+	case NFSMB_DEVICEID_NF4_78S_SMB:
+	case NFSMB_DEVICEID_NF4_79_SMB:
 		/* Trying to add secondary device as slave */
 		nfsmb_sc->subdev = device_add_child(dev, "nfsmb", -1);
 		if (!nfsmb_sc->subdev) {
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 5 Gavin Atkinson freebsd_committer freebsd_triage 2010-02-23 22:10:02 UTC
State Changed
From-To: patched->closed

Fixed in head, stable/8 and stable/7.  Thank you for your bug report!